<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;



fcm_title_nav ("", false, false, false, $user_kurz, true);

echo "<p>&nbsp;</p><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td>
<form action=\"search.php\" method=\"post\">
{$cm_text["searchterm"]}:
<input type=\"text\" name=\"cm_searched_string\" size=\"25\" maxlength=\"50\" value=\"$cm_searched_string\">
<input type=\"submit\" value=\"{$cm_text["search"]}\">
</form>
</td></tr></table><p>&nbsp;</p>
";


if ($cm_searched_string) {
  $cm_searched_string = htmlentities ($cm_searched_string);
  $cm_searched_string = str_replace ("DELETE", "", $cm_searched_string);
  $cm_searched_string = str_replace ("INSERT", "", $cm_searched_string);
  $cm_searched_string = str_replace ("CREATE", "", $cm_searched_string);
  $cm_searched_string = str_replace ("TRIGGER", "", $cm_searched_string);
  $cm_searched_string = str_replace ("UPDATE", "", $cm_searched_string);
  $cm_searched_string = str_replace ("APPEND", "", $cm_searched_string);
  $cm_searched_string = str_replace ("REPLICATION", "", $cm_searched_string);
  $cm_searched_string = str_replace ("ALTER", "", $cm_searched_string);
  $cm_searched_string = str_replace ("SET ", "", $cm_searched_string);
  $result1 = db_query("select cmdb_type, cmdb_directory, cmdb_title, cmdb_viewer_group, cmdb_keywords, 
                       cmdb_date_update, cmdb_abstract, cmdb_content from content3 where 
                       (cmdb_directory like '%$cm_searched_string%' or 
                        cmdb_title like '%$cm_searched_string%' or 
                        cmdb_viewer_group like '%$cm_searched_string%' or 
                        cmdb_keywords like '%$cm_searched_string%' or 
                        cmdb_abstract like '%$cm_searched_string%' or 
                        cmdb_content like '%$cm_searched_string%') 
                        and cmdb_type like '%p%' 
                        " . fcm_access_sqldef ($user_kurz) ) or db_die();
  $cm_total_searchres = 0;
  while (($row1 = db_fetch_row($result1)) && ($cm_total_searchres < $cm_max_searchres)) {
    $result2 = db_query("select count(cmdb_directory) from cmcomments3 where cmdb_directory like '$row1[1]'") or db_die();
    $row2 = db_fetch_row($result2);
    $result3 = db_query("select cmdb_directory, cmdb_totalhits from cmhits3 where cmdb_directory like '$row2[1]' and cmdb_type like '%p%'") or db_die();
    $row3 = db_fetch_row($result3);
    fcm_articlelist_box ($row1[1], $row1[2], $row1[6], $row1[5], false, $row2[0], $row3[1]);
    $cm_total_searchres += 1;
  }
  $result1 = db_query("select content3.cmdb_type, content3.cmdb_directory, content3.cmdb_title, 
                       content3.cmdb_viewer_group, content3.cmdb_keywords, 
                       content3.cmdb_date_update, content3.cmdb_abstract, content3.cmdb_content, 
                       cmcomments3.cmdb_directory, cmcomments3.cmdb_title, cmcomments3.cmdb_comment
                       from content3, cmcomments3 where 
                       (cmcomments3.cmdb_comment like '%$cm_searched_string%' or
                        cmcomments3.cmdb_title like '%$cm_searched_string%') and
                        cmcomments3.cmdb_directory like content3.cmdb_directory 
                        and content3.cmdb_type like '%p%' 
                        " . fcm_access_sqldef ($user_kurz) ) or db_die();
  while (($row1 = db_fetch_row($result1)) && ($cm_total_searchres < $cm_max_searchres)) {
    $result2 = db_query("select count(cmdb_directory) from cmcomments3 where cmdb_directory like '$row1[1]'") or db_die();
    $row2 = db_fetch_row($result2);
    $result3 = db_query("select cmdb_directory, cmdb_totalhits from cmhits3 where cmdb_directory like '$row2[1]' and cmdb_type like '%p%'") or db_die();
    $row3 = db_fetch_row($result3);
    fcm_articlelist_box ($row1[1], $row1[2], $row1[6], $row1[5], false, $row2[0], $row3[1]);
    $cm_total_searchres += 1;
  }
  if ($cm_total_searchres < 1) {
    fcm_message ("{$cm_text["nosearchreswith"]} \"$cm_searched_string\".", CM_MSGSTYLE_INFORMATION);
  }
}



echo $cm_html_footer;
?>

